<?php
require_once('startinclude.php');
include "lib_form.php";
require_once "util_db.php";
include "lecturadb_slow.php";



$botontag=parametro('boton_tag',"");

$proceso=parametro('proceso',@$proceso);

switch ($botontag) {
	case "PGUP":
		$pagina=$pagina+1;
		break;
	case "PGDOWN":
		$pagina=$pagina-1;
		break;
	case "OK":
		break;
}





$totalcamaras=0;
$num_temp=0;

$titulowin=array();
$id_camara=array();
$nsensores=array();





?>
<head>
<title> No title</title>


<META NAME="ROBOTS" CONTENT="NOINDEX, NOFOLLOW">
<META NAME="ROBOTS" CONTENT="NOARCHIVE">
<script type='text/javascript' src='ajaxlib/dhtmlwindow.js'></script>
<script type='text/javascript' src='ajaxlib/cookies.js'></script>
<script type='text/javascript' src='ajaxlib/utils/southprojects.js'></script>
<script type='text/javascript' src='jscriptrpc.js'></script>
<script type='text/javascript' src='ajaxlib/utils/progress.js'></script>

<link href='ajaxlib/dhtmlwindow.css' rel='stylesheet' type='text/css'>
<!--<link rel="stylesheet" type="text/css" href="style2.css" />-->
<?php
//echo headerform(0);
 echo cabecera("titulo",1);
?>
<style type="text/css">


.alerta {
	text-decoration:none;
	background-color:#CC0000;
	FONT-WEIGHT: bold;
	font-family:  Tahoma,Verdana, Helvetica;
	font-size:10px;
}
.offline {
	text-decoration:none;
	background-color:#CCC0C0;
	FONT-WEIGHT: normal;
	font-family:  Tahoma,Verdana, Helvetica;
	font-size:10px;
}
.ok {
	text-decoration:none;
	background-color:#FFFFFF;
	FONT-WEIGHT: normal;
	font-family:  Tahoma,Verdana, Helvetica;
	font-size:10px;
}
.okremarcado {
	text-decoration:none;
	background-color:#FFFFFF;
	FONT-WEIGHT: bold ;
	font-family:  Tahoma,Verdana, Helvetica;
	font-size:10px;
}

.oktitulo {
	text-decoration:none;
	background-color:#3063C9;
	color: #FFFFFF;
	FONT-WEIGHT: normal;
	font-family:  Helvetica,Verdana, Helvetica;
	font-size:8px;
}



.alertainpar {
	text-decoration:none;
	background-color:#AC0000;
	FONT-WEIGHT: bold;
	font-family:  Tahoma,Verdana, Helvetica;
	font-size:10px;
}
.offlineinpar {
	text-decoration:none;
	background-color:#ACA0A0;
	FONT-WEIGHT: normal;
	font-family:  Tahoma,Verdana, Helvetica;
	font-size:10px;
}
.okinpar {
	text-decoration:none;
	background-color:#D0D0D0;
	FONT-WEIGHT: normal;
	font-family:  Tahoma,Verdana, Helvetica;
	font-size:10px;
}

.okremarcadoinpar {
	text-decoration:none;
	background-color:#D0D0D0;
	FONT-WEIGHT: bold ;
	font-family:  Tahoma,Verdana, Helvetica;
	font-size:10px;
}

</style>


<script type="text/javascript">
	var loader;


		loader = new southprojects.Progress({
			theme: 'default',
			themePath: "ajaxlib/spextra/themes/progress/"
		});



	function showespere() {
		loader.start('espere..');
		//setTimeout("loader.stop();", 4000);
	}

	function clickcheck(direccion) {
		fetchUrl(direccion, 'transportdiv')
		loader.start('espere..');
	}



</script>

<script type="text/javascript">
phprpc='wsensor_rpc.php';
function setCookie(name, value, expires, path, domain, secure)
{
    document.cookie= name + "=" + escape(value) +
        ((expires) ? "; expires=" + expires.toGMTString() : "") +
        ((path) ? "; path=" + path : "") +
        ((domain) ? "; domain=" + domain : "") +
        ((secure) ? "; secure" : "");
}

/**
 * Gets the value of the specified cookie.
 *
 * name  Name of the desired cookie.
 *
 * Returns a string containing value of specified cookie,
 *   or null if cookie does not exist.
 */
function getCookie(name)
{
    var dc = document.cookie;
    var prefix = name + "=";
    var begin = dc.indexOf("; " + prefix);
    if (begin == -1)
    {
        begin = dc.indexOf(prefix);
        if (begin != 0) return null;
    }
    else
    {
        begin += 2;
    }
    var end = document.cookie.indexOf(";", begin);
    if (end == -1)
    {
        end = dc.length;
    }
    return unescape(dc.substring(begin + prefix.length, end));
}

</script>

<?
if ($proceso==$proceso_actual or $proceso==0) {
///	echo "<META HTTP-EQUIV='refresh' content='50'> \n"; // si el proceso es el actual entonces refrescamos cada 50 segundos.
}
?>
<style type="text/css">

/*
USAGE: All you have to do is include this one line in your CSS file, with the
tag names to which you want the script applied:
*/

 { behavior: url(iepngfix.htc) }

/*
Alternatively, you can specify that this will apply to all tags like so:
* { behavior: url(iepngfix.htc) }
*/

</style>
</head>
<!--
<BODY  onload="javascript:
inicio_ciclo();
">
-->

<body background=#ffffcc>
<div id="transportdiv" name='transportdiv' style="border-width:1px; border-color:rgb(0,0,240); border-style:solid; display: none;"></div>



<?php






$temp=array();

$tabla=array();
$tabla_leyenda=array();
$limites=array();

// leer_temperatura($temp,$camara,$maxima,$minima,);

//leer_temperatura2($temp,$camara);

		leerarreglo(&$c);

		$c[5]=(!$c[5])?date('d/m/Y G:i',1167624000):$c[5];
		$c[6]=(!$c[6])?date('d/m/Y G:i',mktime()+86400):$c[6];


leer_estados_historicos2(&$tabla,$camara,$proceso,@$pagina,9999,9999,$c[5],$c[6]);



$scr="";
$scr.= "<div id='divscroll'>";


$anchocadasensor=100;
$anchotabla=(count($tabla_leyenda)+2)*($anchocadasensor);



$scr.= "<table border='0' id='table_2' cellspacing='0' bordercolordark='white' bordercolorlight='blue' width=$anchotabla >\n";
$scr.= "<thead>";
$scr.= "<td width=100  align='center'>Fecha</td>\n";
for ($i=0;$i<count($tabla_leyenda);$i++) {
	$scr.= "<td width=$anchocadasensor  align='center'>".$tabla_leyenda[$i]."</td>\n";
}
$scr.= "</thead><tbody>";



$num=@count($tabla[0]);
$nums=count($tabla); // incluyendo fecha que es el campo 0



for ($i=0;$i<$num;$i++) {
	$scr.= "<tr>";
	if ($i % 2)
		$scr.= "<tr class='odd'>";
	else
		$scr.= "<tr class='even'>";
	$scr.= "<td  width=100  align='center'><b>".$tabla[0][$i]."</b></td>\n";
	for ($e=1;$e<$nums;$e++) {

			if ($i % 2)
				$clase="odd";
			else
				$clase="even";
			if (isset($tabla[$e][$i])) {
				$valor=$tabla[$e][$i];
			} else {
				$valor=-66.6;
			}
			if ($valor==-66.6) {
				$clase="offline";
				$valor="OUT";
			}
			if ($valor==-55.5) {
				$clase="alerta";
				$valor="NC";
			}



			$scr.= "<td width=$anchocadasensor class='$clase' align='center'>".$valor."</td>\n";
	}
	$scr.= "</tr></tbody>";
}
$scr.= "</table>\n";

$scr.= "</div>";

		$titulo=$camaras[$camara]["nombre_camara"];
		$titulo="<h2 align='left'>".$anterior_c.$camaras[$camara]["nombre_camara"].$despues_c."</h2>\n";
		$leyenda="Tabla para camara ".$camaras[$camara]["nombre_camara"];
		$descripcion="desc";
		$campos="";
		$camposhidden="";
		$contador=0;
		$boton=array();
		if (@$pagina>0) {
			$boton[]="<<";
			$boton[]="PGDOWN";
			$boton[]="";
		}
			$boton[]="Actualizar";
			$boton[]="OK";
			$boton[]="";
		if ($num>1) {
			$boton[]=">>";
			$boton[]="PGUP";
			$boton[]="";
		}
		if ($proceso) {
			$boton[]="PDF";
			$boton[]="PDF";

			$web="pdf_grafico.php?camara=$camara&proceso=$proceso";
			$js5="window.open('$web','mywindow','width=700,height=500,resizable=yes,scrollbars=yes'); return(false);";
			$boton[]=$js5;

			$boton[]="PDF Parcial";
			$boton[]="PDFP";

			$web="pdf_grafico.php?camara=$camara&proceso=$proceso&inicio=".$c[5]."&fin=".$c[6];
			$js5="window.open('$web','mywindow','width=700,height=500,resizable=yes,scrollbars=yes'); return(false);";
			$boton[]=$js5;

			$boton[]="Excel";
			$boton[]="XLS";
			$web="xls_grafico.php?camara=$camara&proceso=$proceso&inicio=".$c[5]."&fin=".$c[6];
			$js5="window.open('$web','mywindow','width=700,height=500,resizable=yes,scrollbars=yes'); return(false);";
			$boton[]=$js5;

		} else {
			$boton[]="PDF Parcial";
			$boton[]="PDFP";

			$web="pdf_grafico.php?camara=$camara&proceso=0&inicio=".$c[5]."&fin=".$c[6];
			$js5="window.open('$web','mywindow','width=700,height=500,resizable=yes,scrollbars=yes'); return(false);";
			$boton[]=$js5;
		}

$boton[]="Estadisticas";
$boton[]="XLS";
$web="xls_reporte.php?camara=$camara&proceso=$proceso&inicio=".$c[5]."&fin=".$c[6];
$js5="window.open('$web','mywindow','width=700,height=500,resizable=yes,scrollbars=yes'); return(false);";
$boton[]=$js5;

$resultado="";

	$camposhidden.=campohidden("pagina",@$pagina);
	$camposhidden.=campohidden("camara",$camara);
	$camposhidden.=campohidden("ventanan",@$ventanan);



	crear_combo_proceso($arr,$camaras[$camara]["id_camara"],$proceso_actual);




	if ($proceso) {
		@$campos[0][0]= campocombo("proceso","Proceso :",30,$proceso,$arr,"spformNoRequired",0,$camposhidden,"");
		leer_proceso($arr,$proceso);
		@$campos[1][0]= campoformulario("c4","Origen :",30,$arr[5],"spformNoRequired",1);
	}	else {
		@$campos[0][0]= campocombo("proceso","Proceso :",30,$proceso,$arr,"spformNoRequired",0,$camposhidden,"");
	}
	@$campos[0][1]= campoformulario("c5","Desde :",30,$c[5],"spformNoRequired",0,"CALENCLOCK");
	@$campos[1][1]= campoformulario("c6","Hasta :",30,$c[6],"spformNoRequired",0,"CALENCLOCK");
	if ($proceso) {

		$sql="select * from pf_especies order by nombre_especie";
		$campo_texto="nombre_especie";
		$campo_valor="id_especie";
		$texto_defecto="sin especie";
		generar_combo($sql,$campo_valor,$campo_texto,&$arregloespecie,$texto_defecto);
		$especie=buscarcombo($arr[0],$arregloespecie);

		@$campos[0][2]= campoformulario("c4","Especie :",30,$especie,"spformNoRequired",1);
	}
	$resultadotitulo="Pagina ".(@$pagina+1);


		echo "<TABLE cellSpacing=0 cellPadding=0 width=98% border=0>";
		echo  "<tr><td><table width=850 height=0 border=0></table></td></tr>\n";
		echo "<tr><td>";

/*
$extracampo[0]=array();
@$extracampo[0][0][0].=campoformulario("c12","Inicio Vuelta 1",20,$c[12],"",1);
@$extracampo[0][1][0].=campoformulario("c13","Fin Vuelta 1",20,$c[13],"",1);
@$extracampo[0][0][1].=campoformulario("c14","Inicio Vuelta 2",20,$c[14],"",1);
@$extracampo[0][1][1].=campoformulario("c15","Fin Vuelta 2",20,$c[15],"",1);
@$extracampo[0][0][2].=campoformulario("c16","Inicio Vuelta 3",20,$c[16],"",1);
@$extracampo[0][1][2].=campoformulario("c17","Fin Vuelta 3",20,$c[17],"",1);
$extracampo["titulo0"]="Giros";
$extracampo[1]=array();
@$extracampo[1][0][0].=campoformulario("c12","Inicio Vuelta 1",20,$c[12],"",1);
@$extracampo[1][1][0].=campoformulario("c13","Fin Vuelta 1",20,$c[13],"",1);
@$extracampo[1][0][1].=campoformulario("c14","Inicio Vuelta 2",20,$c[14],"",1);
@$extracampo[1][1][1].=campoformulario("c15","Fin Vuelta 2",20,$c[15],"",1);
@$extracampo[1][0][2].=campoformulario("c16","Inicio Vuelta 3",20,$c[16],"",1);
@$extracampo[1][1][2].=campoformulario("c17","Fin Vuelta 3",20,$c[17],"",1);
$extracampo["titulo1"]="Giros";
*/
$extracampo="";

		echo mostrarformulario($titulo,$leyenda,$descripcion,$campos,$camposhidden,$boton,$numform=1,$resultadotitulo,$scr,$extracampo);
		echo "</td></tr></table>";





?>

<script type="text/javascript">
//document.getElementById('valor0').className='alerta';

//window.parent.window.parent.document.getElementById('spWin0Container').className='spWinRedxpContainer';



</script>
</BODY>
